#ifndef _TESTCHARM_H
#define _TESTCHARM_H

#include "common.h"
#include "testcharm.decl.h"

class Msg : public CMessage_Msg
{
  public:
    int data;
};

class Testcharm : public Chare
{
  private:
    int nextExpected;
    Msg *bufs[NMSGS];
  public:
    Testcharm(Msg *msg);
    void teststart(Msg *msg);
};

#endif
